

//  ######
//  AI Builder v2.0
//  GlobalConstants class.
//  By Richard John Sproston.
//  E-mail richard.sproston@gmail.com || lucky_jackpot@hotmail.com
//  Copyright () 2004/2005, Richard John Sproston.
//  All Rights Reserved.
//  Sept-2004
//  ######


package bin;


    // Import required system libraries...
  import java.io.*;


/**
 * GlobalConstants Class
 * <p>
 * This class is responsible for managing all global constants
 * for the AI Builder application.
 * </p>
 *
 *
 * @author Richard John Sproston
 * [ <a href="mailto:richard.sproston@gmail.com">richard.sproston@gmail.com</a> ||
 * <a href="mailto:lucky_jackpot@hotmail.com">lucky_jackpot@hotmail.com</a> ]
 *
 * @version 0.1 - Initial Release
 *
 */
public class GlobalConstants {

//=========================================================


    ////////////////////
    //  CONSTRUCTORS  //
    ////////////////////


    /**
     * Default Constructor for class with no parameters.
     */
    public GlobalConstants()
    { }


//=========================================================


    ////////////////////////////
    //  STATIC CLASS MEMBERS  //
    ////////////////////////////


    // General Info...

        /** Defines whether debug messages are displayed or not.
            <b>Be warned</b>: by enabling this, you'll observe a
            lot of verbose output (in various class components)
            about what is going on at any particular point during
            AI Builder's execution!
            <br />
            And I do mean <b>a LOT</b> - I like to include debug
            statements in abundance! */
    public static final boolean VERBOSE_DEBUG = false;

        /** Portable, system independent solution for the
            "file separator" character. */
    public static String FILE_SEPARATOR =
        //System.getProperty ("file.separator");
        File.pathSeparator;

        /** <b>Only</b> the <i>directory</i> where the
            database file resides. */
    public static String DIRECTORY = "resources";

        /** <b>Only</b> the <i>name</i> of the database file. */
    public static final String DATABASE_NAME = "ai.properties";

        /** Compiled core resource definition.
            Defines the resource location where the
            <code>ai.properties</code> file resides. */
    public static String RESOURCE =
        //DIRECTORY +
        //FILE_SEPARATOR +
        DATABASE_NAME;
        //"resources" +
        //System.getProperty ("file.separator") +
        //"ai.properties";


    // AI File Info...

        /** Comment identifiers for AI files. */
    public static final String COMMENT_IDENT = "#";

        /** Defines "easy mode"'s difficulty file extension. */
    public static final String F_EXT_EASY = ".ai0";

        /** Defines "medium mode"'s difficulty file extension. */
    public static final String F_EXT_MED = ".ai";

        /** Defines "hard mode"'s difficulty file extension. */
    public static final String F_EXT_HARD = ".ai2";



    // Application Info...

        /** Any references made to the documentation provided,
            should define the file name of the documentation
            document/file. */
    public static final String DOCUMENTATION = "observations.xhtml";

        /** The application's title.  Technically, in AI Builder,
            the "title" as a whole is made up of 3 "snippets" of information:
            the TITLE, VERSION and INFO (the latter is a description
            contained in GUIFramework class - deemed to be more appropriate
            in that class). */
    public static final String TITLE = "AI Builder";

        /** Defines the current version number for <code>"AI Builder"</code> */
    public static final String VERSION = "v2.0.3";


//=========================================================


}   /*  End Of File  */